# Fetching a list of Expense Categories

This endpoint returns structured Expense Category objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the expense_categories top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /expense_categories
Version: 1.0.0

## Query parameters:

  - `matching` (string)
    By expense category names that match the specified name.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `only_active` (boolean)
    Only include expense categories that have not been deleted (deleted_at is NULL).

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: alphabetical:asc and alphabetical:desc.

  - `page` (integer)

  - `per_page` (integer)

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `expense_categories` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


